Improved Wikipedia favicon
Closed, ResolvedPublic

Description

There are some issues with the current Wikipedia favicon:

  • No border around the letter, the W has direct contact with the surrounding
  • The icon has no boundary, the white background melts into the usually gray surrounding
  • The W is somewhat blurred

I have created an favicon for Wikipedia that addresses these issues, please see:

http://upload.wikimedia.org/wikipedia/en/f/f1/Wikipedia_new_favicon_on_address_bar.png
http://upload.wikimedia.org/wikipedia/en/3/31/Wikipedia_new_favicon_on_browser_tab.png

The W has a one pixel white separator and the bottom-right dark border gives it an optical boundary as well as a nice 3D effect. I have tested this favicon with different background colors (including black) and it looks good on all of them.

It would be great if you could make this (or a related version) the new Wikipedia favicon.

  • Cacycle

Version: unspecified
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz15716.
Cacycle created this task.Via LegacySep 25 2008, 1:52 AM
brion added a comment.Via ConduitMar 4 2009, 7:19 PM

Note they look about the same on Firefox 3 on Mac OS X, where there's a mid-dark gray background on the tabs which melds into that border, so there's no 3d effect.

bzimport added a comment.Via ConduitMar 4 2009, 7:20 PM

bastique.bz wrote:

I meant to write, see also "

https://bugzilla.mozilla.org/show_bug.cgi?id=430314

bzimport added a comment.Via ConduitMar 4 2009, 7:59 PM

jboriss wrote:

I've added a few versions here that I'd love for you to take a look at - https://bugzilla.mozilla.org/attachment.cgi?id=365502&action=edit . I'm recommending a transparent background - what do you think?

brion added a comment.Via ConduitMar 5 2009, 1:04 AM

Created attachment 5886
Screen shot of current favicon & rounded & no-background variants in FF tabs on Mac

Hmm, the fully transparent one looks great on *light* gray. It's not so good on dark gray (tab) or dark blue background (highlighted search menu item), or worst of all if someone's got customized colors such that tabs or menus are going to have a black background (such as high-contrast themes on Windows)...

Attached:

bzimport added a comment.Via ConduitMar 5 2009, 1:07 AM

charlie wrote:

I like the look of the newer rounded one. Doesn't really make a different for me, though, because in Safari 4, it's on a white background.

bzimport added a comment.Via ConduitOct 26 2009, 7:33 PM

chinchi29 wrote:

It shouldn't have transparent background as Brion pointed (#6). The only issue I can see with the new icon is that the letter got a little bit smaller.

Cacycle added a comment.Via ConduitOct 26 2009, 11:16 PM

Thanks Bryan. Brion #2: I do not see any problems with the missing outline effect for certain non-standard browser tab backgrounds. The proposed favicon would be major improvement over the current one (see #1 for details). Please could we get this implemented?

Nemo_bis added a comment.Via ConduitApr 4 2013, 10:04 PM

Wasn't this already fixed in 2010 with the new logo?

Isarra added a comment.Via ConduitApr 5 2013, 12:46 AM

(In reply to comment #10)

Wasn't this already fixed in 2010 with the new logo?

No.

tomasz added a comment.Via ConduitApr 9 2013, 10:28 PM

Do we still want this, anyway? If so, how do we solve it? By a benevolent decision from, say, Brion? :-)

brion added a comment.Via ConduitApr 9 2013, 10:31 PM

I'm happy enough with the current favicon, except that it lacks a high-resolution variant.

Isarra added a comment.Via ConduitApr 10 2013, 1:26 AM

Okay, I'll fix this. Right now. Really. If my battery doesn't run out. AAAAGHSEZGHJNhl;kzgsjdzcbn

I mean hi.

gerritbot added a comment.Via ConduitApr 11 2013, 10:33 PM

https://gerrit.wikimedia.org/r/58463 (Gerrit Change Ib39ee5a19ece7e8e01667cef416e8a50913e846d) | change APPROVED and MERGED [by Mwalker]

Add Comment